net.sf.jasperreports.engine.util

## Class ParagraphUtil

- java.lang.Object
- - net.sf.jasperreports.engine.util.ParagraphUtil

-     public final class ParagraphUtil
      extends java.lang.Object

  Version:
    $Id: ParagraphUtil.java 5878 2013-01-07 20:23:13Z teodord $
  Author:
    Teodor Danciu (teodord@users.sourceforge.net)

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `static TabStop` | `getFirstTabStop(JRParagraph paragraph, float endX)`
    `static TabStop` | `getLastTabStop(JRParagraph paragraph, float endX)`
    `static float` | `getLeftX(TabStop tabStop, float advance)`
    `static TabStop` | `getNextTabStop(JRParagraph paragraph, float endX, float rightX)`
    `static float` | `getRightX(TabStop tabStop, float advance)`
    `static float` | `getSegmentOffset(TabStop tabStop, float rightX)`
    `static TabStop[]` | `getTabStops(JRParagraph paragraph, float endX)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Method Detail

    - #### getTabStops

          public static TabStop[] getTabStops(JRParagraph paragraph,
                              float endX)

    - #### getRightX

          public static float getRightX(TabStop tabStop,
                        float advance)

    - #### getLeftX

          public static float getLeftX(TabStop tabStop,
                       float advance)

    - #### getSegmentOffset

          public static float getSegmentOffset(TabStop tabStop,
                               float rightX)

    - #### getNextTabStop

          public static TabStop getNextTabStop(JRParagraph paragraph,
                               float endX,
                               float rightX)

    - #### getFirstTabStop

          public static TabStop getFirstTabStop(JRParagraph paragraph,
                                float endX)

    - #### getLastTabStop

          public static TabStop getLastTabStop(JRParagraph paragraph,
                               float endX)

© 2001-2010 Jaspersoft Corporation www.jaspersoft.com